Erreur package 1.9.4



  • Bonjour/Bonsoir

    Hier soir en codant mon mods j'ai voulu mettre les .java en .class via le cmd j'utilise donc la commande javac fr/dossier/sousDossier/ect/.java et une erreur arrive au niveau de ses ligne de commandes :

    import net.minecraft.client.Minecraft;
    import net.minecraft.init.Blocks;
    import net.minecraft.init.Items;
    import net.minecraft.item.Item;
    import net.minecraft.item.ItemStack;
    import net.minecraft.util.EnumHand;
    import net.minecraft.util.math.RayTraceResult;
    import net.minecraftforge.event.entity.player.PlayerInteractEvent;
    import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
    import net.minecraftforge.fml.common.gameevent.TickEvent;
    

    Sa me dis que les package que je veux import n'existe pas comment faire pour que les packages existe?

    
    public class EventsHandler
    

    J'ai aussi une erreur avec celui ci il me dise que je dois créer un autre .java avec ce code si mais l'erreur persiste


  • Administrateurs

    Totalement normal quand on ne connait pas Gradle.
    Il ne faut pas utiliser

    javac fr/dossier/sousDossier/ect/.java
    

    mais

    ./gradlew build
    


  • Je ne dois faire que

    /gradlew build
    

    ou je dois rajouter les chemins ?
    euh le /gradlew ne marche pas





  • C'est un tuto 1.7 je code un mod 1.9.4 sa ne change rien?


  • Administrateurs

    Salut,
    Oui la méthode pour compiler n'a pas changé.

    Et normalement tu as déjà eu besoin d'utiliser gradle pour le setup de la workspace, ça s'utilise de la même façon pour compiler.


  • Administrateurs

    Gradle utilise toujours le même système pour build : https://www.minecraftforgefrance.fr/showthread.php?tid=2568



  • Ok bon j'ai juste un petit problème je n'utilise pas éclipse j'utilise une technique venu tout droit des abysse le bloc note


  • Administrateurs

    La méthode pour compiler ne change pas.



  • Sinon j'ai un vieux ide : NetBeans


  • Administrateurs

    Netbeans possède un plugin gradle : http://plugins.netbeans.org/plugin/44510/gradle-support



  • Merci



  • Net….quoi ???? ça existe encore ça ?



  • Tu voulais que j'utilise quoi?



  • prend plutot eclipse deja ca reste la base ou intellij idea si tu est experimenter (perso je prefere idea pour ses petites fonctionnalités en plus et son optimisation) mais pour modder eclipse suffit largement



  • Par contre j'ai toujours un problème avec la compilation
    je souhaite importer tous sa

    import net.minecraft.client.Minecraft;
    import net.minecraft.init.Blocks;
    import net.minecraft.init.Items;
    import net.minecraft.item.Item;
    import net.minecraft.item.ItemStack;
    import net.minecraft.util.EnumHand;
    import net.minecraft.util.math.RayTraceResult;
    import net.minecraftforge.event.entity.player.PlayerInteractEvent;
    import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
    import net.minecraftforge.fml.common.gameevent.TickEvent;
    

    mais au niveau de la compilation on me dis que les fichiers que je veux importe n'existe pas

    l'erreur:

    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:14: error: class EventsHandler is public, should be declared in a file named EventsHandler.java
    public class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:3: error: package net.minecraft.client does not exist
    import net.minecraft.client.Minecraft;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:4: error: package net.minecraft.init does not exist
    import net.minecraft.init.Blocks;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:5: error: package net.minecraft.init does not exist
    import net.minecraft.init.Items;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:6: error: package net.minecraft.item does not exist
    import net.minecraft.item.Item;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:7: error: package net.minecraft.item does not exist
    import net.minecraft.item.ItemStack;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:8: error: package net.minecraft.util does not exist
    import net.minecraft.util.EnumHand;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:9: error: package net.minecraft.util.math does not exist
    import net.minecraft.util.math.RayTraceResult;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:10: error: package net.minecraftforge.event.entity.player does not exist
    import net.minecraftforge.event.entity.player.PlayerInteractEvent;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:11: error: package net.minecraftforge.fml.common.eventhandler does not exist
    import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:12: error: package net.minecraftforge.fml.common.gameevent does not exist
    import net.minecraftforge.fml.common.gameevent.TickEvent;
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:18: error: cannot find symbol
        private Minecraft mc = Minecraft.getMinecraft();
      symbol:   class Minecraft
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:21: error: package PlayerInteractEvent does not exist
        public void onRightClickBlock(PlayerInteractEvent.RightClickBlock e)
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:39: error: package TickEvent does not exist
        public void onPlayerClientTick(TickEvent.PlayerTickEvent e)
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:20: error: cannot find symbol
        @SubscribeEvent
      symbol:   class SubscribeEvent
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:38: error: cannot find symbol
        @SubscribeEvent
      symbol:   class SubscribeEvent
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:18: error: cannot find symbol
        private Minecraft mc = Minecraft.getMinecraft();
      symbol:   variable Minecraft
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:23: error: illegal start of type
            if(e.getWorld().isRemote)
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:26: error: cannot find symbol
                if(e.getEntityPlayer().getHeldItem(e.getHand()) != null && e.getEntityPlayer().getHeldItem(e.getHand()).getItem() == Item.getItemFromBlock(Blocks.TNT))
      symbol:   variable Blocks
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:26: error: cannot find symbol
                if(e.getEntityPlayer().getHeldItem(e.getHand()) != null && e.getEntityPlayer().getHeldItem(e.getHand()).getItem() == Item.getItemFromBlock(Blocks.TNT))
      symbol:   variable Item
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:28: error: cannot find symbol
                    this.flintAndSteelSlotId = e.getEntityPlayer().inventory.getSlotFor(new ItemStack(Items.FLINT_AND_STEEL));
      symbol:   class ItemStack
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:28: error: cannot find symbol
                    this.flintAndSteelSlotId = e.getEntityPlayer().inventory.getSlotFor(new ItemStack(Items.FLINT_AND_STEEL));
      symbol:   variable Items
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:41: error: illegal start of type
            if(e.player.worldObj.isRemote)
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:50: error: package RayTraceResult does not exist
                    if(mc.objectMouseOver.typeOfHit == RayTraceResult.Type.BLOCK)
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:52: error: cannot find symbol
                        mc.playerController.processRightClickBlock(mc.thePlayer, mc.theWorld, mc.thePlayer.getHeldItem(EnumHand.MAIN_HAND), mc.objectMouseOver.getBlockPos(), mc.objectMouseOver.sideHit, mc.objectMouseOver.hitVec, EnumHand.MAIN_HAND);
      symbol:   variable EnumHand
      location: class EventsHandler
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\src\FuskTnt\java.java:52: error: cannot find symbol
                        mc.playerController.processRightClickBlock(mc.thePlayer, mc.theWorld, mc.thePlayer.getHeldItem(EnumHand.MAIN_HAND), mc.objectMouseOver.getBlockPos(), mc.objectMouseOver.sideHit, mc.objectMouseOver.hitVec, EnumHand.MAIN_HAND);
      symbol:   variable EnumHand
      location: class EventsHandler
    26 errors
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\nbproject\build-impl.xml:930: The following error occurred while executing this line:
    C:\Users\Fusked\Desktop\TNTFAST\fr\FastTnt\Fusked\main\FastTnt\nbproject\build-impl.xml:270: Compile failed; see the compiler error output for details.


  • Administrateurs

    Une fois de plus pour compiler il faut utiliser gradlew build
    Pour tester ton code, si tu ne veux pas passer par un ide utilises gradlew runClient



  • J'utilise l'ide netbeans comment je fait pour compiler en gradlew build depuis netbeans?


  • Administrateurs

    Depuis netbeans je ne sais pas, mais sinon il faut lancer un cmd ou un powershell dans le dossier de ta workspace pour faire la commande.



  • "gradlew" n'est pas reconnu en tant que commande interne ou externe, un programme exécutable ou un fichier de commande.
    J'ai installé le plugin gradle pour netbeans pour l'use avec un cmd je dois installé quel gradle?